Search deep-sky objects by name, designation, or filters.
curl --request GET \
--url https://api.nebyoulous.space/dso/search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/dso/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/dso/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"objects": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalogId": "<string>",
"name": "<string>",
"commonName": "<string>",
"displayName": "<string>",
"type": "galaxy",
"ra": 123,
"dec": 123,
"magnitude": 123,
"sizeArcmin": 123,
"sizeMajor": 123,
"sizeMinor": 123,
"constellation": "<string>",
"source": "catalog_import",
"sourceCatalog": "NGC",
"importBatchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"imagingNotes": "<string>",
"designations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalog": "NGC",
"designation": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"total": 4503599627370495,
"limit": 123,
"offset": 4503599627370495,
"hasMore": true
}
}{
"code": "<string>",
"message": "<string>"
}Catalog
Search deep-sky objects by name, designation, or filters.
GET
/
dso
/
search
Search deep-sky objects by name, designation, or filters.
curl --request GET \
--url https://api.nebyoulous.space/dso/search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/dso/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/dso/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"objects": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalogId": "<string>",
"name": "<string>",
"commonName": "<string>",
"displayName": "<string>",
"type": "galaxy",
"ra": 123,
"dec": 123,
"magnitude": 123,
"sizeArcmin": 123,
"sizeMajor": 123,
"sizeMinor": 123,
"constellation": "<string>",
"source": "catalog_import",
"sourceCatalog": "NGC",
"importBatchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"imagingNotes": "<string>",
"designations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalog": "NGC",
"designation": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"total": 4503599627370495,
"limit": 123,
"offset": 4503599627370495,
"hasMore": true
}
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Query Parameters
Required string length:
1 - 120Available options:
NGC, IC, M, C, UGC, PGC, Abell, Barnard, Lynds Available options:
galaxy, nebula, open_cluster, globular_cluster, planetary_nebula, dark_nebula, galaxy_cluster, supernova_remnant, double_star, other Required string length:
1 - 80Required range:
1 <= x <= 200Required range:
0 <= x <= 9007199254740991